### Method

# FwupdPlugin Device set_update_state

since: 1.6.2

#### Declaration [src]

    void
    fu_device_set_update_state (
      FuDevice* self,
      FwupdUpdateState update_state
    )

#### Description [src]

Sets the update state, clearing the update error as required.

Available since: 1.6.2

#### Parameters

`update_state`

  Type: `FwupdUpdateState`

  The state, e.g. `FWUPD_UPDATE_STATE_PENDING`.